#include "icon.h"

Icon::Icon()
{
    topMargin = 0;
    bottomMargin = 0;
    leftMargin = 0;
    rightMargin = 0;
}

QString Icon::getPath() const
{
    return path;
}

void Icon::setPath(const QString value)
{
    path = value;
}

QString Icon::getTitle() const
{
    return title;
}

void Icon::setTitle(const QString &value)
{
    title = value;
}

int Icon::getTopMargin() const
{
    return topMargin;
}

void Icon::setTopMargin(int value)
{
    topMargin = value;
}

int Icon::getBottomMargin() const
{
    return bottomMargin;
}

void Icon::setBottomMargin(int value)
{
    bottomMargin = value;
}

int Icon::getLeftMargin() const
{
    return leftMargin;
}

void Icon::setLeftMargin(int value)
{
    leftMargin = value;
}

int Icon::getRightMargin() const
{
    return rightMargin;
}

void Icon::setRightMargin(int value)
{
    rightMargin = value;
}

